/****************************************************************************
**
** Copyright (C) 2022 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the release tools of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL-EXCEPT$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 as published by the Free Software
** Foundation with exceptions as appearing in the file LICENSE.GPL3-EXCEPT
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

// constructor
function Component()
{
    // is this OpenSource installation?
    var isOpenSource = "true";
    if (['true', 'yes', '1'].indexOf(isOpenSource) >= 0) {
        var lgplLicenseDependency = component.value("Dependencies");
        var lgplLicenseDependencyStr = "qt.license.thirdparty, qt.license.lgpl";
        if (lgplLicenseDependency)
            component.setValue("Dependencies", lgplLicenseDependency + "," + lgplLicenseDependencyStr)
        else
            component.setValue("Dependencies", lgplLicenseDependencyStr)
    }
    var releaseDate = component.value("ReleaseDate");
    var dynamicDescription = "Qt 6.8.3 <br><br>" + releaseDate + "<br><br> sha1: bab1fecd556ea561c4a89686293116741acfa1b4"
    component.setValue("Description", dynamicDescription)
}

Component.prototype.createOperations = function()
{
    component.createOperations();
}

